MiMo-V2.6-Flash
MiMo-V2.6-Flash is Xiaomi’s efficiency-balanced omnimodal model: a sparse Mixture-of-Experts with 309B total and 15B activated parameters, natively understanding text, image, video, and audio with a 1M-token context window. Trained with mixed reinforcement learning across coding, general agents, visual, and cybersecurity tasks, it is built for long-horizon coding, tool use, and computer use.
Input / output
$0.175 / $0.35
per 1M tokens
Context
1M
128K max output
Reasoning
none, low, medium, high
default high
Cached input
$0.0037
98% off input
Modalities
Text, image, video, audio
out: text
Pricing
USD per 1M tokensInput
$0.175
Cached input
$0.0037
Output incl. reasoning
$0.35
| Similar models | Input | Output |
|---|---|---|
| MiMo-V2.6-Flash | $0.175 | $0.35 |
| Qwen 3.8 Flash | $0.14 | $0.49 |
| GPT-6 Luna | $0.10 | $0.50 |
| Claude Haiku 5.5 | $0.10 | $0.50 |
| GLM 5.3 Flash | $0.15 | $0.50 |
Prompt caching is automatic; see Prompt caching.
Specs
- Model ID
xiaomi-mimo-v2-6-flash- Endpoint
POST /api/v1/chat/completions- Context window
- 1,000,000 tokens
- Max output
- 131,072 tokens
- Reasoning effort
reasoning_effort: none | low | medium | high· default high · guide- Served precision
- FP8
- Added
- Sep 28, 2026
- Weights
- Open
Capabilities
Modalities
- Text
- Input and output
- Image
- Input only · up to 10
- Audio
- Input only
- Video
- Input only
Features
- Streaming (SSE)
- Supported
- Function calling
- Supported
- Structured output (json_schema)
- Supported
- Reasoning effort
- none, low, medium, high
- Prompt caching
- Supported
- Web search
- venice_parameters
- X search
- Not supported
- Log probabilities
- Not supported
- Fine-tuning
- Not supported
- Image generation
- Not supported
POST
/api/v1/chat/completionsRecommendedcurl https://api.venice.ai/api/v1/chat/completions \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "xiaomi-mimo-v2-6-flash",
"messages": [{ "role": "user", "content": "Explain TEE attestation in two sentences." }],
"reasoning_effort": "high"
}'Privacy
Tier 1
Anonymized
Included
Tier 2 · this model
Private
Zero data retention, enforced by contract. Prompts and outputs aren’t stored.
Tier 3
TEE
Not available
Tier 4
End-to-end encrypted
Not available